Summary:	Active Data Objects Data Base (ADOdb)
Name:		php-adodb
Version:	5.22.7
Release:	%mkrel 1
License:	BSD
Group:		Development/PHP
URL:		https://adodb.org
Source0:	https://github.com/ADOdb/ADOdb/archive/refs/tags/v%{version}.tar.gz
BuildArch:	noarch
Epoch:		2

%description
PHP is a wonderful language for building dynamic web pages. Unfortunately,
PHP's database access functions are not standardized. Every database
extension uses a different and incompatible API. This creates a need for a
database class library to hide the differences between the different databases
(encapsulate the differences) so we can easily switch databases.

%prep
%setup -q -n ADOdb-%{version}
%autopatch -p1

%build

%install
install -d %{buildroot}%{_datadir}/php/adodb
#ignore pear(Auth/*)
#cp -aRf * %{buildroot}%{_datadir}/php/adodb


# cleanup
rm -rf %{buildroot}%{_datadir}/php/adodb/docs
rm -f %{buildroot}%{_datadir}/php/adodb/*.txt


%files
%doc docs/*
%{_datadir}/php/adodb



%changelog
* Thu Dec 21 2023 mokraemer <mokraemer> 2:5.22.7-1.mga10
+ Revision: 2020622
- new version 5.22.7

* Tue Jun 13 2023 mokraemer <mokraemer> 2:5.22.6-1.mga9
+ Revision: 1961897
- new version 5.22.6
- new release 5.22.5

* Tue Dec 06 2022 mokraemer <mokraemer> 2:5.22.4-1.mga9
+ Revision: 1918689
- new release 5.22.4

* Wed Aug 17 2022 mokraemer <mokraemer> 2:5.22.2-2.mga9
+ Revision: 1878409
- remove dependency to pear(Auth/*)

* Fri Jun 24 2022 papoteur <papoteur> 2:5.22.1-2.mga9
+ Revision: 1866019
- Mass Rebuild for dependencies

* Tue Apr 19 2022 mokraemer <mokraemer> 2:5.22.1-1.mga9
+ Revision: 1851845
- new version 5.22.1

* Mon Mar 21 2022 umeabot <umeabot> 2:5.21.4-2.mga9
+ Revision: 1816065
- Mageia 9 Mass Rebuild
+ mokraemer <mokraemer>
- remove icons dir

* Mon Feb 07 2022 mokraemer <mokraemer> 2:5.21.4-1.mga9
+ Revision: 1772554
- fix download
- new version 5.21.4

* Mon Feb 07 2022 neoclust <neoclust> 2:5.20.18-2.mga9
+ Revision: 1772540
- Add P100: Fixes CVE-2021-3850 (mga#30008)

* Mon Aug 10 2020 mokraemer <mokraemer> 2:5.20.18-1.mga8
+ Revision: 1613160
- new version 5.20.18

* Thu Mar 12 2020 mokraemer <mokraemer> 2:5.20.16-1.mga8
+ Revision: 1555794
- new version 5.20.16

* Wed Feb 12 2020 umeabot <umeabot> 2:5.20.9-3.mga8
+ Revision: 1507191
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2:5.20.9-2.mga7
+ Revision: 1287586
- Mageia 7 Mass Rebuild

* Wed Nov 29 2017 mokraemer <mokraemer> 2:5.20.9-1.mga7
+ Revision: 1180202
- new version

* Tue Oct 04 2016 luigiwalser <luigiwalser> 2:5.20.7-1.mga6
+ Revision: 1058673
- 5.20.7

* Thu Feb 25 2016 oden <oden> 2:5.20.3-1.mga6
+ Revision: 979034
- fix build
- 5.20.3

* Mon Feb 08 2016 umeabot <umeabot> 2:5.18-6.mga6
+ Revision: 946810
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2:5.18-5.mga5
+ Revision: 745176
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2:5.18-4.mga5
+ Revision: 733998
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2:5.18-3.mga5
+ Revision: 687093
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2:5.18-2.mga4
+ Revision: 523653
- Mageia 4 Mass Rebuild

* Fri May 24 2013 spuhler <spuhler> 2:5.18-1.mga4
+ Revision: 425809
- upgrade to version 5.18

* Sun Jan 13 2013 umeabot <umeabot> 2:5.17-2.mga3
+ Revision: 375657
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 2:5.17-1.mga3
+ Revision: 271059
- upgrade to 5.17

* Mon Jan 23 2012 spuhler <spuhler> 2:5.15-1.mga2
+ Revision: 200121
- upgrade to 5.15

* Tue Dec 20 2011 spuhler <spuhler> 2:5.11-2.mga2
+ Revision: 185034
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 2:5.11-1.mga1
+ Revision: 47637
- removed buildroot definition from .spec
- imported package php-adodb

